
Redmine - Defect #37145

Changing an Open Issue Status Breaks Page Format

2022-05-20 15:47 - Ollie Sharratt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.1

Description

In Firefox, if I edit an open issue and change the status the page seems to break entirely.

This does not seem to occur in Edge.

The log initially shows nothing of interest (to me!):

I, [2022-05-20T14:42:30.194292 #2375998]  INFO -- : [b4ffd2ed-0912-4965-98b1-09637d4341e4] Started PATCH

"/redmine/issues/10330/edit.js" for 10.128.17.42 at 2022-05-20 14:42:30 +0100

I, [2022-05-20T14:42:30.195331 #2375998]  INFO -- : [b4ffd2ed-0912-4965-98b1-09637d4341e4] Processing by

IssuesController#edit as JS

I, [2022-05-20T14:42:30.195542 #2375998]  INFO -- : [b4ffd2ed-0912-4965-98b1-09637d4341e4]   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"Q+m2eSrgAjiZ0ktK8jntWNLndBcVcQ9cjKGSLYkidTTYQnn/mRcaY6QcT4atuCIRV+QW7tgmYLxjtgw+fL

RGFA==", "form_update_triggered_by"=>"issue_status_id", "issue"=>{"project_id"=>"4", "tracker_id"=>"11", "subject"=>"Issue

subject", "description"=>"Issue description", "status_id"=>"2", "priority_id"=>"2", "assigned_to_id"=>"38", "category_id"=>"15",

"parent_issue_id"=>"", "notes"=>"", "private_notes"=>"0", "lock_version"=>"1"}, "was_default_status"=>"1",

"time_entry"=>{"hours"=>"", "activity_id"=>"", "comments"=>""}, "last_journal_id"=>"", "next_issue_id"=>"10306",

"issue_position"=>"1", "issue_count"=>"9", "id"=>"10330"}

I, [2022-05-20T14:42:30.217537 #2375998]  INFO -- : [b4ffd2ed-0912-4965-98b1-09637d4341e4]   Current user: ollie.sharratt

(id=38)

I, [2022-05-20T14:42:30.277797 #2375998]  INFO -- : [b4ffd2ed-0912-4965-98b1-09637d4341e4]   Rendered issues/edit.js.erb

(Duration: 27.7ms | Allocations: 13482)

I, [2022-05-20T14:42:30.278277 #2375998]  INFO -- : [b4ffd2ed-0912-4965-98b1-09637d4341e4] Completed 200 OK in 83ms

(Views: 23.8ms | ActiveRecord: 30.5ms | Allocations: 24338)

 But if I then update the status again:

I, [2022-05-20T14:45:32.937815 #2375998]  INFO -- : [67ff53ed-4bdb-4e13-88d7-b6a8beea8399] Started POST

"/redmine/issues/10330/edit.js" for 10.128.17.42 at 2022-05-20 14:45:32 +0100

F, [2022-05-20T14:45:32.939266 #2375998] FATAL -- : [67ff53ed-4bdb-4e13-88d7-b6a8beea8399]

[67ff53ed-4bdb-4e13-88d7-b6a8beea8399] ActionController::RoutingError (No route matches [POST] "/issues/10330/edit.js"):

This has happened on any ticket I attempt to update. Image attached shows the problem in action.

History

#1 - 2022-05-20 15:50 - Ollie Sharratt

Little more info:

MySQL 8.0.29 for Linux on x86_64

Debian 11.3

Ruby 2.7.4

Rails 6.1.6

No plugins

#2 - 2022-05-23 01:27 - Ollie Sharratt

- Status changed from New to Resolved

Turns out this was an issue with firefox, tried 3/4 different PC's and could only find the issue on one. Once firefox was reinstalled it stopped

happening.

#3 - 2022-05-23 08:25 - Marius BĂLTEANU

2025-05-07 1/2



- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for feedback.

Files

Error.png 23.9 KB 2022-05-20 Ollie Sharratt
